var Live = {

  ADD: 1,

  VIEW: 2,

  started: false,

  interval: null,

  loopValue: 0,

  startView: function() {

    if (Live.started==false) {

      var e = document.getElementById("clockBox");

  e.style.width="32px";

  e.style.height="32px";

  Live.interval = setInterval("Live.loop()", 1000);

      Live.started = true; 

    }

  },

  clockSeconds: 0,

  loop: function() {



    Live.clockSeconds = ++Live.clockSeconds % 60;

    var slice = Math.floor(Live.clockSeconds/10);

    var sec = Live.clockSeconds%10;

  

    //document.getElementById("sec").value=clockSeconds;

    //document.getElementById("sec").style.fontSize="9pt";

  

    var e = document.getElementById("clockBox");

    e.style.backgroundImage = "url('img/clock"+slice+".png')";  

    e.style.backgroundColor = "rgb(100%," +(50 + (10-sec)*5)+"%,"+ (10-sec)*10+"%)"; 



    if (Live.clockSeconds==0) Live.view();

  }

  

}



/* ============================================ */



Live.view = function() {

  var URL = HTTP.hattrickServer

                    + "/Common/live.asp?" + HTTP.type

                    + "&actionType=viewNew";



  EventSystem.HTTPRequest(URL, Live.ParseView, "Live update");



}



Live.ParseView = function (response) {

  Live.ParseLive(response, Live.VIEW);

}



/* ============================================ */

Live.Matches = function() {

};



Live.HTTPAddMatch = function (matchId) {

  var URL = HTTP.hattrickServer

                    + "/Common/live.asp?" + HTTP.type

                    + "&actionType=addMatch"

                    + "&matchID=" + matchId;

  EventSystem.HTTPRequest(URL, Live.ParseAddMatch, "Add Match");

}

  

Live.ParseAddMatch = function (response) {

  Live.ParseLive(response, Live.ADD);

};





/* ----------------------------------------------------------------

 * commun Parse functions

 * ---------------------------------------------------------------- */



Live.ParseLive = function (response, source) {

  var regStr = "(<Match\\s(?:.*?)</Match>)";

  var regExp;

  var match, XMLEventList;

  var found;

  try {

    Time.hattrickTime = Time.parseFetchDate(response);

    regExp = new RegExp(regStr, "g");



    var count = 0;

    for(;found = regExp.exec(response);) {

      count++;

      match = new Match(

        Util.Parse("<MatchID>(.*?)</MatchID>", found[1]),

        Time.parseDate(Util.Parse("<MatchDate>(.*?)</MatchDate>", found[1])),

        new Match.side(

          Live.ParseHomeTeam(found[1]),

          Live.ParseHomeGoals(found[1])

        ),

        new Match.side(

          Live.ParseAwayTeam(found[1]),

          Live.ParseAwayGoals(found[1])

        ),

        new Match.events(Events.ParseList(Util.Parse("<EventList>(.*?)</EventList>", found[1]))),

        null

      );



      if (match.id) {

        match.home.team = Teams.update(match.home.team);

        match.away.team = Teams.update(match.away.team);

        match = Match.Update(match);

      }

    }



    for (matchIndex in Match.List) {

      match = Match.List[matchIndex];

      match.updateTime();



      if (source == Live.VIEW) {

        var first = match.event.list.first;

        var last = match.event.list.last;

        for (var i=first; i<=last; i++) {

          LiveFox.Notify.add(match.event.list["_"+i]);

        }

      }

      

      LiveFox.DOM.UpdateLiveMatch(match);  



    }



    if (source == Live.VIEW) {

      LiveFox.Notify.set();

    }

    

    

  } catch(e) {

    alert("Live.ParseView : " + e);

  }



};

 

Live.ParseHomeTeam = function (xml) {

  return new Team(Live.ParseHomeTeamId(xml), Live.ParseHomeTeamName(xml), null);

};



Live.ParseAwayTeam = function (xml) {

  return new Team(Live.ParseAwayTeamId(xml), Live.ParseAwayTeamName(xml), null);

};



Live.ParseHomeTeamId = function (xml) {

  return Util.Parse("<HomeTeamID>(.*?)</HomeTeamID>", xml);

};



Live.ParseHomeTeamName = function (xml) {

  return Util.Parse("<HomeTeamName>(.*?)</HomeTeamName>", xml);

};



Live.ParseAwayTeamId = function (xml) {

  return Util.Parse("<AwayTeamID>(.*?)</AwayTeamID>", xml);

};



Live.ParseAwayTeamName = function (xml) {

  return Util.Parse("<AwayTeamName>(.*?)</AwayTeamName>", xml);

};



Live.ParseHomeGoals = function (xml) {

  return Util.Parse("<HomeGoals>(.*?)</HomeGoals>", xml);

};



Live.ParseAwayGoals = function (xml) {

  return Util.Parse("<AwayGoals>(.*?)</AwayGoals>", xml);

};



Live.ParseMatchId = function (xml) {

  return League.ParseMatchId(xml);

};



